Subject: Re: bug#15262: 24.3.50; desktop does not save buffer-display-time

From: Sam Steingold <[email-masked]>
Date: Tue, 3 Sep 2013 16:39:26 -0400

On Tue, Sep 3, 2013 at 4:30 PM, Glenn Morris <[email-masked]> wrote:
> Sam Steingold wrote:
>
>>> Maybe someone wants starting a new Emacs to reset the clocks on all
>>> their buffers, so none are considered "old".
>>
>> why would one want to do that?
>
> You don't think there's anyone alive who would think it weird to start
> an Emacs at 11.59pm, then have a bunch of buffers killed 1 minute later
> as "too old"?

well, let's see: the last time the user saw the buffers was 3 days ago.
and he explicitly (by enabling midnight) requested that they are purged.
what's weird?
ah, I see! suppose the user have not used emacs for a week.
then all buffers will be killed.
maybe it would make sense to advance the saved buffer-display-time
by the period while emacs was inactive.
wdyt?

> (Make whatever change you like to the default value, I don't care.)

thanks.

-- 
Sam Steingold <http://sds.podval.org> <http://www.childpsy.net/>